{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"*Deprecated: new integrations should prefer the `/status_updates` route.*\n\nCreates a new status update on the project.\n\nReturns the full record of the newly created project status update.","properties":{"path":{"type":"object","properties":{"project_gid":{"type":"string","examples":["1331"],"description":"Globally unique identifier for the project."}},"required":["project_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["author","author.name","color","created_at","created_by","created_by.name","html_text","modified_at","text","title"]},"examples":[["author","author.name","color","created_at","created_by","created_by.name","html_text","modified_at","text","title"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/ProjectStatusRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"ProjectStatusRequest":{"allOf":[{"$ref":"#/definitions/ProjectStatusBase"},{"type":"object","required":["color"]}]},"ProjectStatusBase":{"allOf":[{"$ref":"#/definitions/ProjectStatusCompact"},{"type":"object","properties":{"text":{"description":"The text content of the status update.","type":"string","examples":["The project is moving forward according to plan..."]},"html_text":{"description":"[Opt In](/docs/inputoutput-options). The text content of the status update with formatting as HTML. See [rich text](/docs/rich-text).","type":"string","examples":["<body>The project <strong>is</strong> moving forward according to plan...</body>"]},"color":{"description":"The color associated with the status update.","type":"string","enum":["green","yellow","red","blue","complete"]}}}]},"ProjectStatusCompact":{"description":"*Deprecated: new integrations should prefer the `status_update` resource.*\nA *project status* is an update on the progress of a particular project, and is sent out to all project followers when created. These updates include both text describing the update and a color code intended to represent the overall state of the project: \"green\" for projects that are on track, \"yellow\" for projects at risk, and \"red\" for projects that are behind.","type":"object","properties":{"title":{"description":"The title of the project status update.","type":"string","examples":["Status Update - Jun 15"]}}}}},"name":"Create a project status","id":"asana.createprojectstatusforproject","example":{"path":{"project_gid":"1331"},"body":{}},"maxRequests":1,"summary":false}}